Bug 122949 - GTK3: Option dialog no longer has textboxes
Summary: GTK3: Option dialog no longer has textboxes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-25 09:55 UTC by Xisco Faulí
Modified: 2019-01-29 09:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (50.74 KB, image/png)
2019-01-25 09:55 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-25 09:55:56 UTC
Created attachment 148620 [details]
screenshot

See the attached image

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: a6358f1c1b8f981345061b0cbb708df707a5b7b8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

GTK 3.18.9
Comment 1 Xisco Faulí 2019-01-25 09:57:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=626ae6a6e64d9ea7b5bbf2f22ff7798b54b61384

author	Caolán McNamara <caolanm@redhat.com>	2019-01-24 09:14:59 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-01-24 13:41:47 +0100
commit	626ae6a6e64d9ea7b5bbf2f22ff7798b54b61384 (patch)
tree	1fc0971ca56ebc843ecedd38e994038569bfdefd
parent	6239993d0da8e71af15428f502c364e932591bd6 (diff)
Resolves: tdf#122662 restore context after changing state

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-01-28 15:58:09 UTC
I can reproduce this on gtk 3.18 with a simple gtk_style_context_save attempt
Comment 3 Commit Notification 2019-01-28 21:10:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c83f25bfe7f4021f419244f02678e423968cb4b3%5E%21

Resolves: tdf#122949 gtk_style_context_save doesn't work the way I want

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-01-28 21:11:43 UTC
fixed in master, backport to 6-2 in gerrit, original 6-1 backport of triggering commit updated to include this
Comment 5 Xisco Faulí 2019-01-29 09:21:21 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6d5af783bfd899253908c926853233a99df6f4e0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 6 Commit Notification 2019-01-29 09:43:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9c1c1e88abcec82443eb2ba8cce4db734d86352a%5E%21

Resolves: tdf#122949 gtk_style_context_save doesn't work the way I want

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.